package datasink;

import java.util.Arrays;

/**
 * A NullSource is a source that returns zeroes, as fast as it can.
 * It's so simple it needs no comments...
 *
 * @version $Id: NullSink.java,v 1.5 2010/01/05 19:02:15 zahorjan Exp $
 */

public class NullSink extends DataSink {

  public NullSink() {
  }

  public void reInit() {
    readyToWrite();
  }

  protected void sendToDest(byte[] buf, int len) {
  }
}
